astromenace_1.3.2+repack-3~bpo70+1_amd64.deb


Advertisement

Description

astromenace - hardcore 3D space shooter with spaceship upgrade possibilities

Property Value
Distribution Debian 7 (Wheezy)
Repository Debian Backports Contrib amd64
Package name astromenace
Package version 1.3.2+repack
Package release 3~bpo70+1
Package architecture amd64
Package type deb
Installed size 1.45 KB
Download size 333.39 KB
Official Mirror ftp.br.debian.org
AstroMenace is an astonishing hardcore scroll-shooter where brave space
warriors may find a great opportunity to hone their combat skills.
Gather money during the battle to spend them on turning your spaceship
into an ultimate weapon of mass destruction and give hell to swarms of
adversaries. Enjoy the wonderfully crafted 3d graphics and high-quality
special effects along with a detailed difficulty adjustment and a handy
interface of AstroMenace.

Alternatives

Package Version Architecture Repository
astromenace_1.3.2+repack-3~bpo70+1_i386.deb 1.3.2+repack i386 Debian Backports Contrib
astromenace - - -

Requires

Name Value
astromenace-data-src >= 1.3.2~
fonts-freefont-ttf -
fonts-liberation -
fonts-linuxlibertine -
libalut0 >= 1.0.1
libc6 >= 2.4
libfontconfig1 >= 2.9.0
libfreetype6 >= 2.2.1
libgcc1 >= 1:4.1.1
libgl1 -
libgl1-mesa-glx -
libglu1 -
libglu1-mesa -
libopenal1 -
libsdl1.2debian >= 1.2.11
libstdc++6 >= 4.1.1
libvorbisfile3 >= 1.1.2
libx11-6 -
libxinerama1 -
ttf-dejavu-core -
xz-utils -

Download

Type URL
Binary Package astromenace_1.3.2+repack-3~bpo70+1_amd64.deb
Source Package astromenace

Install Howto

  1. Add the following line to /etc/apt/sources.list:
    deb http://ftp.debian.org/debian/ wheezy-backports contrib
  2. Update the package index:
    # sudo apt-get update
  3. Install astromenace deb package:
    # sudo apt-get install astromenace

Files

Path
/usr/games/AstroMenace
/usr/share/applications/astromenace.desktop
/usr/share/doc/astromenace/changelog.Debian.gz
/usr/share/doc/astromenace/changelog.gz
/usr/share/doc/astromenace/copyright
/usr/share/man/man6/AstroMenace.6.gz
/usr/share/menu/astromenace
/usr/share/pixmaps/astromenace.xpm

Changelog

2013-12-26 - Boris Pek <tehnick@debian.org>
astromenace (1.3.2+repack-3~bpo70+1) wheezy-backports; urgency=medium
* Rebuild for wheezy-backports.
2013-12-19 - Boris Pek <tehnick@debian.org>
astromenace (1.3.2+repack-3) unstable; urgency=medium
* Add patch debian/patches/disable_GL_ARB_texture_compression_bptc.patch:
After disabling GL_ARB_texture_storage in patch
fix_work_on_intel_videocards.patch GL_ARB_texture_compression_bptc feature
may work incorrectly with new NVIDIA and AMD video cards. There are no bug
reports yet. This patch was made just in case by developer recommendation.
2013-12-19 - Boris Pek <tehnick@debian.org>
astromenace (1.3.2+repack-2) unstable; urgency=medium
* Add patch debian/patches/fix_work_on_intel_videocards.patch:
Mesa developers have enabled GL_ARB_texture_storage for all drivers [1], so
i915 and i965 drivers now claim the support of this OpenGL extension, but
texture storage feature does not actually work there.
.
[1] http://lists.freedesktop.org/archives/mesa-dev/2013-June/041188.html
.
This patch is just workaround to make the game work on intel videocards with
new Mesa. But real problem should be fixed in Mesa.
(Closes: #718680)
2013-12-19 - Boris Pek <tehnick@debian.org>
astromenace (1.3.2+repack-1) unstable; urgency=medium
* Update to stable release 1.3.2.
* Bump Standards-Version to 3.9.5 (was 3.9.4): no changes required.
* Add build dependency on libfontconfig1-dev.
* Update get-orig-source in debian/rules:
- always download latest version of program
- rename root directory for specifying program version
* Update patches:
- debian/patches/compress_gamedata.patch
- debian/patches/debian_customisations.patch
* Add patch debian/patches/enable_fontconfig_support.patch.
* Delete patch debian/patches/fix-font-in-use.patch:
fontconfig is supported now, so this workaround is not needed anymore.
* Delete patches:
- debian/patches/01_keyboard_control-fix.patch
- debian/patches/02_blinking_triangles.patch
- debian/patches/03_overflow_vfs.patch
- debian/patches/04_textures_quality.patch
- debian/patches/05_blend_disable_fix.patch
- debian/patches/06_compression_options_fix.patch
- debian/patches/07_percent_sign_profile_input_fix.patch
- debian/patches/08_do_not_touch_home_dir.patch
They are in upstream now.
* Simplify debian/astromenace.postinst:
fontconfig is supported now, so symlinks to fonts are not needed anymore. 
* Package astromenace depends on astromenace-data-src (>= 1.3.2~) and
fonts-linuxlibertine now.
* Update years in debian/copyright.
2013-07-01 - Boris Pek <tehnick@debian.org>
astromenace (1.3.1+repack-3) unstable; urgency=low
* Add temporary patch debian/patches/08_do_not_touch_home_dir.patch:
Without this patch AstroMenace creates directory ~/.config/astromenace/
during generation of gamedata.vfs file. When sudo is used for package
installation, this created directory is owned by root, so game settings
cannot be saved by user. (LP: #1181847)
* Add xz-utils to astromenace dependencies. (Closes: #714609)
* Fix lintian note desktop-entry-lacks-keywords-entry.

See Also

Package Description
boinc-amd-opencl_7.4.23+dfsg-1~bpo70+1_amd64.deb metapackage for AMD/ATI OpenCL-savvy BOINC client and manager
boinc-nvidia-cuda_7.4.23+dfsg-1~bpo70+1_amd64.deb metapackage for CUDA-savvy BOINC client and manager
bumblebee-nvidia_3.2.1-4~bpo70+1_amd64.deb NVIDIA Optimus support using the proprietary NVIDIA driver
glx-alternative-fglrx_0.5.1~bpo70+1_amd64.deb allows the selection of FGLRX as GLX provider
glx-alternative-mesa_0.5.1~bpo70+1_amd64.deb allows the selection of MESA as GLX provider
glx-alternative-nvidia_0.5.1~bpo70+1_amd64.deb allows the selection of NVIDIA as GLX provider
glx-diversions_0.5.1~bpo70+1_amd64.deb prepare for using accelerated GLX implementations from GPU vendors
gns3_0.8.6-3~bpo70+1_all.deb Graphical Network Simulator
iucode-tool_1.1.1-1~bpo70+1_amd64.deb Intel processor microcode tool
java-package_0.53~bpo70+1_all.deb Utility for creating Java Debian packages
libxnvctrl-dev_319.72-1~bpo70+1_amd64.deb NV-CONTROL X extension (development files)
libxnvctrl0_319.72-1~bpo70+1_amd64.deb NV-CONTROL X extension (runtime library)
nvidia-installer-cleanup_20131102+1~bpo70+1_amd64.deb cleanup after driver installation with the nvidia-installer
nvidia-kernel-common_20131102+1~bpo70+1_amd64.deb NVIDIA binary kernel module support files
nvidia-modprobe_334.16-1~bpo70+1_amd64.deb utility to load NVIDIA kernel modules and create device nodes
Advertisement
Advertisement